Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Create a building for a contact

Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.

POST/v1/buildings
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (bh_…).

Request body
requiredapplication/json
contactIdstringrequired
namestringrequired
min length 1
streetstring | null
Show properties
Any of:
string
string
null
null
postalCodestring | null
Show properties
Any of:
string
string
null
null
citystring | null
Show properties
Any of:
string
string
null
null
countryCodestring
min length 2 · max length 2
buildingTypestring | null
Show properties
Any of:
string
string
null
null
buildingYearinteger | null
Show properties
Any of:
integer
integer
null
null
livingAreanumber | null
Show properties
Any of:
number
number
null
null
unitCountinteger | null
Show properties
Any of:
integer
integer
null
null
notesstring | null
Show properties
Any of:
string
string
null
null
Responses
201

OK

idstringrequired
contactIdstringrequired
namestringrequired
streetstring | nullrequired
Show properties
Any of:
string
string
null
null
postalCodestring | nullrequired
Show properties
Any of:
string
string
null
null
citystring | nullrequired
Show properties
Any of:
string
string
null
null
countryCodestringrequired
buildingTypestring | nullrequired
Show properties
Any of:
string
string
null
null
buildingYearinteger | nullrequired
Show properties
Any of:
integer
integer
null
null
livingAreanumber | nullrequired
Show properties
Any of:
number
number
null
null
unitCountinteger | nullrequired
Show properties
Any of:
integer
integer
null
null
notesstring | nullrequired
Show properties
Any of:
string
string
null
null
createdAtstring<date-time>required
updatedAtstring<date-time>required
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://app.bauhow.com/api/v1/buildings' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "contactId": "string",
  "name": "string",
  "street": "string",
  "postalCode": "string",
  "city": "string",
  "countryCode": "st",
  "buildingType": "string",
  "buildingYear": -9007199254740991,
  "livingArea": 0,
  "unitCount": -9007199254740991,
  "notes": "string"
}'
Response
{
  "id": "string",
  "contactId": "string",
  "name": "string",
  "street": "string",
  "postalCode": "string",
  "city": "string",
  "countryCode": "string",
  "buildingType": "string",
  "buildingYear": -9007199254740991,
  "livingArea": 0,
  "unitCount": -9007199254740991,
  "notes": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}

Was this page helpful?